> ## Documentation Index
> Fetch the complete documentation index at: https://docs.watchr.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a comment by a user



## OpenAPI

````yaml /api-reference/openapi.json patch /comments/{comment_id}
openapi: 3.1.0
info:
  title: Watchr
  version: 0.0.0
servers: []
security: []
paths:
  /comments/{comment_id}:
    patch:
      tags:
        - Comments
      summary: Update a comment by a user
      operationId: patch_comment
      parameters:
        - name: comment_id
          in: path
          required: true
          schema:
            type: string
            description: Unique Identifier of a comment
            title: Comment Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CommentUpdate'
              description: Updated content of the Comment.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CommentUpdate:
      properties:
        review_id:
          type: string
          title: Review Id
          description: Unique Identifier of a review
        author_id:
          type: integer
          title: Author Id
          description: Unique Identifier of a user
        content:
          type: string
          title: Content
      type: object
      required:
        - review_id
        - author_id
        - content
      title: CommentUpdate
      description: Class for PATCH of a Comment on a review
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````